petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecSetDM

Sets the DM defining the data layout of the vector

### Synopsis

    #include "petscdm.h"
    PetscErrorCode VecSetDM(Vec v, DM dm)

Not collective

### Input Parameters

| v | - The Vec
| dm | - The DM

### See Also

VecGetDM(), DMGetLocalVector(), DMGetGlobalVector(), DMSetVecType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages